package cn.gov.customs.demo.government.constants;

import cn.gov.customs.cacp.sdks.core.result.ResultCodeMessage;
import lombok.Getter;

/**
 * todo
 *
 * @author sunxuewen
 * @date 2024/7/29 10:39
 */
@Getter
public enum GovernmentResultCodeMessage implements ResultCodeMessage {
  /**
   * 10100, "通用异常"
   */
  COMMON_ERROR("ZWCJ-COMMON-ERROR", "通用异常"),

  NO_PERMISSION("ZWCJ-NO-PERMISSION", "用户没有权限使用该功能"),
  USER_NOTEXISTS("ZWCJ-USER-NOTEXISTS", "授权认证中未找到用户");

  private final String code;
  private final String message;

  GovernmentResultCodeMessage(String code, String message) {
    this.code = code;
    this.message = message;
  }
}
